#pragma once

#include "CoreMinimal.h"
#include "Kismet/BlueprintFunctionLibrary.h"
#include "K30GuardUtilities.generated.h"

class AKnightGuard;

UCLASS(Blueprintable)
class UK30GuardUtilities : public UBlueprintFunctionLibrary
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintPure)
	static float GetPatrollingVisionRangeBaseValue(const AKnightGuard* guard);

	UFUNCTION(BlueprintPure)
	static float GetPatrolDuration(const AKnightGuard* guard);

	UFUNCTION(BlueprintPure)
	static float GetMaximumHuntDuration(const AKnightGuard* guard);

public:
	UK30GuardUtilities();
};

FORCEINLINE uint32 GetTypeHash(const UK30GuardUtilities) { return 0; }
